AI Image - Batch Generation
curl --request POST \
--url https://leapx-hub.com/prod-api/nebula/v4/api/batchImageGenerationSubmit \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"batchImageGenerationDTO.model": "<string>",
"batchImageGenerationDTO.prompt": "<string>",
"batchImageGenerationDTO.n": 123,
"batchImageGenerationDTO.size": "<string>",
"batchImageGenerationDTO.temperature": 123,
"batchImageGenerationDTO.watermark": true,
"batchImageGenerationDTO.image": "<string>",
"batchImageGenerationDTO.promptOptions": {},
"batchImageGenerationDTO.optimizePrompt": "<string>",
"batchImageGenerationDTO.quality": "<string>",
"batchImageGenerationDTO.responseFormat": "<string>",
"batchImageGenerationDTO.score": 123,
"batchImageGenerationDTO.sequentialImageGeneration": "<string>",
"batchImageGenerationDTO.sequentialImageGenerationOptions": {}
}
'import requests
url = "https://leapx-hub.com/prod-api/nebula/v4/api/batchImageGenerationSubmit"
payload = {
"batchImageGenerationDTO.model": "<string>",
"batchImageGenerationDTO.prompt": "<string>",
"batchImageGenerationDTO.n": 123,
"batchImageGenerationDTO.size": "<string>",
"batchImageGenerationDTO.temperature": 123,
"batchImageGenerationDTO.watermark": True,
"batchImageGenerationDTO.image": "<string>",
"batchImageGenerationDTO.promptOptions": {},
"batchImageGenerationDTO.optimizePrompt": "<string>",
"batchImageGenerationDTO.quality": "<string>",
"batchImageGenerationDTO.responseFormat": "<string>",
"batchImageGenerationDTO.score": 123,
"batchImageGenerationDTO.sequentialImageGeneration": "<string>",
"batchImageGenerationDTO.sequentialImageGenerationOptions": {}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
'batchImageGenerationDTO.model': '<string>',
'batchImageGenerationDTO.prompt': '<string>',
'batchImageGenerationDTO.n': 123,
'batchImageGenerationDTO.size': '<string>',
'batchImageGenerationDTO.temperature': 123,
'batchImageGenerationDTO.watermark': true,
'batchImageGenerationDTO.image': '<string>',
'batchImageGenerationDTO.promptOptions': {},
'batchImageGenerationDTO.optimizePrompt': '<string>',
'batchImageGenerationDTO.quality': '<string>',
'batchImageGenerationDTO.responseFormat': '<string>',
'batchImageGenerationDTO.score': 123,
'batchImageGenerationDTO.sequentialImageGeneration': '<string>',
'batchImageGenerationDTO.sequentialImageGenerationOptions': {}
})
};
fetch('https://leapx-hub.com/prod-api/nebula/v4/api/batchImageGenerationSubmit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "Operation successful",
"data": {
"images": [{
"url": "https://example.com/image1.jpg"
}, {
"url": "https://example.com/image2.jpg"
}]
}
}
AI Image
AI Image - Batch Generation
POST
/
prod-api
/
nebula
/
v4
/
api
/
batchImageGenerationSubmit
AI Image - Batch Generation
Introduction
Submit batch image generation task.Authentication
string
required
Bearer Token, e.g.,
Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...
How to get: Obtain via the POST interface in the Authentication module at the top left, https://docs.leapx-hub.com/en/leapx-lab-v4/endpoint/get-tokenRequest Parameters
string
required
Model name
string
required
Image description prompt
integer
required
Number of images to generate
string
required
Image size
integer
required
Generation temperature
boolean
required
Whether to add watermark
string
Reference image URL
object
Prompt options
string
Optimize prompt
string
Image quality
string
Response format
number
Score threshold
string
Sequential image generation switch
object
Sequential image generation options
Example Code
- cURL Example
- Python Example
curl -X POST "https://leapx-hub.com/prod-api/nebula/v4/api/batchImageGenerationSubmit" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-xxxxxxxxxx" \
-d '{
"model": "flux-pro",
"prompt": "A cat walking in space",
"n": 1,
"size": "1024x1024",
"temperature": 1,
"watermark": false
}'
import requests
import json
url = "https://leapx-hub.com/prod-api/nebula/v4/api/batchImageGenerationSubmit"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer sk-xxxxxxxxxx"
}
data = {
"model": "flux-pro",
"prompt": "A cat walking in space",
"n": 1,
"size": "1024x1024",
"temperature": 1,
"watermark": False
}
response = requests.post(url, headers=headers, data=json.dumps(data))
print(response.json())
Response Example
{
"code": 200,
"msg": "Operation successful",
"data": {
"images": [{
"url": "https://example.com/image1.jpg"
}, {
"url": "https://example.com/image2.jpg"
}]
}
}
⌘I
